---
icon: material/pickaxe
description: All information relating to the Survival server.
---


# Survival

## Server Details

- Address: `survival.midnightvalley.net`
- Server Software: [PaperMC](https://papermc.io/) 1.20.2
- Max Players: 40
- Mem: 6 GiB
- Seed: `9149928880611939705`
- World Size: 20,000 Blocks (10k blocks any direction from 0,0).
- Backups: Nightly, two weeks stored. Happens at 23:59.

## [Map](https://www.midnightvalley.net/survival/map/)

The map is built and served using [Dynmap](https://www.spigotmc.org/resources/dynmap%C2%AE.274/)! It is a flat map only to save resources, however it will show you where players are, and each world is included (Overworld, Nether, The End.)

## Datapacks, Plugins, and Mods

=== "Datapacks"

    === "Standard"

        - [Saddle](https://modrinth.com/datapack/saddle)
            - Uses 5 leather and one tripwire hook to craft a saddle. Crafting recipe available in game.
        - [Woodcutter](https://modrinth.com/datapack/tc-woodcutter/version/2.0.0)
            - Allows you to cut wood in the stonecutter.
        - [Gardener's Dream](https://modrinth.com/datapack/gardeners-dream/version/1)
            - Pot most any plant!

    === "Vanilla Tweaks"

        === "Game play"

            [Download this bundle from Vanilla Tweaks](https://vanillatweaks.net/share#0qcOAy)!

            - Survival
                - villager workstation highlights
                - unlock all recipes
                - armor statues
                - fast leaf decay
                - graves
                - multiplayer sleep
                - afk display
            - Items
                - player head drops
                - armored elytra
                - terracotta rotation wrench
                - redstone rotation wrench
            - Mobs
                - more mob heads
                - double shulker shells
            - Experimental
                - xp management
                - timber

        === "Crafting"

            [Download this bundle from Vanilla Tweaks](https://vanillatweaks.net/share#nRiarY)!

            - Quality-of-life
                - powder to glass
                - blackstone cobblestone
                - coal to black dye
                - charcoal to black dye
                - rotten flesh to leather
                - double slabs
                - back to blocks
            - More-blocks
                - more bricks
                - more stairs
                - more bark
                - more trapdoors
            - Craftables
                - craftable blackstone
                - craftable bundles leather
                - craftable bundles rabbit hide
                - craftable name tags
                - craftable notch apples
                - craftable horse armor
            - Unpackables
                - unpackable wool
                - unpackable nether wart
                - unpackable ice
        
        !!! Info
            [Vanilla Tweaks](https://vanillatweaks.net/) are provided by the folks that run HermitCraft. They do not require any client side or server side mods and rely only on Vanilla datapacks to function.

=== "Plugins"

    - [LPC - Chat Formatter](https://www.spigotmc.org/resources/lpc-chat-formatter-1-7-10-1-20.68965/)
        - Used to add prefixes to chat.
    - [LuckPerms](https://luckperms.net/)
        - Permissions manager.
    - [TabLocation](https://www.spigotmc.org/resources/tablocation.83894/)
        - Shows player locations in the tab list.
    - [Simple Voice Chat (Plugin)](https://www.spigotmc.org/resources/simple-voice-chat.93738/)
        - Helper plugin for [Simple Voice Chat (Mod)](https://www.curseforge.com/minecraft/mc-mods/simple-voice-chat)
    - [HttpHeartBeat](https://www.spigotmc.org/resources/httpheartbeat.79214/)
        - Pings the uptime instance to alert us to downtime!
        - Thank you [LizardFreak7](https://www.spigotmc.org/resources/authors/lizardfreak7.9474/) for letting me commission you for this!
    - [TabTPS](https://modrinth.com/plugin/tabtps)
        - Shows the server's TPS and MSPT in the tab menu.

=== "Mods"

    !!! Note
        These mods are not necessary to join the server and are only here to improve your experience.

    This server uses the [Simple Voice Chat](https://www.curseforge.com/minecraft/mc-mods/simple-voice-chat) mod to allow on-server proximity based voice chat.
    To use the mod, you will need [Fabric](https://fabricmc.net/), [Forge](https://files.minecraftforge.net/net/minecraftforge/forge/) or [Quilt](https://quiltmc.org/en/). You are on your own for how to set this up, but I think it is fairly straight forward.

## World Download

This world download is built nightly at the same time as the server backup is taken. The main world, Nether, End and datapacks are included.

[Download World :material-download:](https://www.midnightvalley.net/downloads/survival.zip){ .md-button }